<?php
// $Id: share42.admin.inc,v 1.0 2011/05/15 01:54:36 sas Exp $
/**
 * Form builder; Question with response and comment.
 *
 * @ingroup forms
 * @see system_settings_form()
 */
function share42_settings() {
	$node_types = node_get_types();
	foreach($node_types as $key => $type){
		$opt_types[$key] = $type->name;
	}
	$form['share42_region'] = array(
	'#type' => 'select',
	'#title' => t('Region for view'),
	'#default_value' => variable_get('share42_region', 'header'),
	'#options' => array('header' => 'Header', 'content' => 'content')
	);
	$form['share42_offset_top'] = array(
	'#type' => 'textfield',
	'#title' => t('Offset top where not vertical scroll'),
	'#size' => 3,
	'#description' => t('Distance from the beginning of page to the floating panel (in pixels).'),
	'#default_value' => variable_get('share42_offset_top', 150)
	);
	$form['share42_offset_top_with_scroll'] = array(
	'#type' => 'textfield',
	'#title' => t('Offset top where scroll present'),
	'#size' => 3,
	'#description' => t('Distance from top of visible area of page to the floating panel (in pixels).'),
	'#default_value' => variable_get('share42_offset_top_with_scroll', 20)
	);
	$form['share42_node_type_mode'] = array(
	'#type' => 'radios',
	'#title' => t('Do mode for node type'),
	'#default_value' => variable_get('share42_node_type_mode', 0),
	'#options' => array('exclude', 'include')
	);
	$form['share42_node_types'] = array(
	'#type' => 'checkboxes',
	'#title' => t('Node types'),
	'#default_value' => variable_get('share42_node_types',array()),
	'#options' => $opt_types
	);
	$form['share42_logic_oparator'] = array(
	'#type' => 'radios',
	'#title' => t('Logical operator'),
	'#default_value' => variable_get('share42_logic_oparator', 'and'),
	'#options' => array('and' => 'AND (&&)', 'or' => 'OR (||)')
	);
	$form['share42_uri_mode'] = array(
	'#type' => 'radios',
	'#title' => t('Do mode for uri'),
	'#default_value' => variable_get('share42_uri_mode', 0),
	'#options' => array('exclude', 'include')
	);
	$form['share42_uri'] = array(
	'#type' => 'textarea',
	'#title' => t('Uri'),
	'#description' => t('One on line, can use &#8249;front&#8250 for front page, char - "*" for any substring.'),
	'#default_value' => variable_get('share42_uri', 'admin/*' . "\n" . 'admin' . "\n" . 'user/*'),
	);
	return system_settings_form($form);
}